<?php

include_once 'core/class.php';
require_once 'core/system.php';








head('Валькирии');








reg();

$weapo = $user['strength']+$user['dobav'];



$bum = 5;
$param = new param;











$intro = $param->udar($weapo,$bum,$user['crit'],$user['sokru']);







list($weapon,$crit,$sokru) = $intro;



if($user['clan']<=0){ header('location: index.php'); exit; }







$plazma = $user['strength']+$user['dobav'];

$messi = ($crit==1) ? '<font color=red>(крит)</font>' : '';


$am1_time = $user['am1_time'] -time();
$am2_time = $user['am2_time'] -time();
$apteka_time = $user['apteka_t'] -time();

if($user['s_pet']==1){

$pet = $dbc->query("SELECT `name`,`str`,`spec` FROM `user_pets` WHERE `id_user` = '".$user['id']."'")->fetch_assoc(); $next = $pet['str']; }


$rast = ($next>0 and $pet['spec']==2) ? $next : 0 ;















































$banda = $dbc->query("SELECT `max_health`,`health`,`rubin`,`id`,`etap` FROM `oboroten` ORDER BY `id` LIMIT 1")->fetch_assoc(); 




$clan_id = $clan['id'];





















$inf = array('','Тень Валькирии','Ведьма','Валькирия','');





    $sila = array (0,350,500,700,250,250,1000);




    $brony = array (0,200,350,400,400,150,1000);





    $hp = array (0,1750000,1900000,180000,190000,125000,8000);




































$sila = $sila[$banda['etap']];

$prot = $brony[$banda['etap']];


$name = $inf[$banda['etap']];
$hp = $hp[$banda['etap']];

    if($banda['health']<=0){




$igro=$dbc->query("SELECT * FROM `clan` where `les`=1")->fetch_assoc();  


?><center> <img src="img/sob/valcirvictor.png" width="100%" height="180" alt="*"></center>







<div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><center>Лес захватил клан  <a href="/clan.php?clan=<?=$igro['id']?>"> <img src="img/clan_s/<?=$igro['storona']?>.png" width="13" height="13" alt="*"><?=$igro['name']?></a> </center>

</br> <center><span class="info">Битва проходит каждый день в 18:00</span></center>



</div></div><?
















    foot();
    exit;
    }
function dead_bos(){
global $user;
global $dbc;

global $banda;
global $hp;



if($banda['etap']<3){




$dbc->query("UPDATE `oboroten` SET `health`='".$hp."', `etap`=`etap`+1 "); header('location:def.php');exit;}







$ger = $dbc->query("SELECT * FROM `clan` WHERE `sob`>0 ORDER BY `sob` DESC LIMIT 1")->fetch_assoc();














    

$dbc->query("UPDATE `clan` SET `les`=1 WHERE `id`='".$ger['id']."'");


$dbc->query("UPDATE `oboroten` SET `health`=0 WHERE `id`=1");










            




                
$gold = $clan['level']*2;
$sera = 5000;




                






                
//$dbc->query("UPDATE `clan` SET `ob_hp`=0,`kazna`=`kazna`+'".$gold."',`sera`=`sera`+'".$sera."' WHERE `id`='".$user['clan']."'");



//$dbc->query("INSERT INTO `clan_stena` SET `clan_id`='".$clan['id']."', `user_id`='".$user['id']."', `text`='<span class=info>Оборотень убит, награда в казну клана <img src=\"img/money/money.png\">".$gold."  <img src=\"img/stat/sera.png\"> ".$sera."!</span>',        `time`='".time()."'");





                





header ('location: def.php');exit();



}




/////Элексир
    if(isset($_GET['el'])){
                if ($user['apteka_t'] > time()) {   
header('location:def.php');exit;}




If($user['apteka']<=0){
$loki = '<font color=grey> У вас нет зелий</font>'; 


 $_SESSION['logi']="$loki";  header('location:def.php');exit;}else{






$min = '<font color=green> Вы использовали зелье, здоровье восстановлено</font>'; 



$_SESSION['logi']="$min";


$dbc->query("UPDATE `users` SET `health`='".$user['max_health']."',`apteka_t` = '" .
(time() + 40) . "' ,`apteka`=`apteka`-1 WHERE `id`='".$user['id']."'");header('location:def.php');exit;}}








/////////Простой Удар

    if(isset($_GET['jump'])){



If($user['udar']>time()){
$loki = '<font color=grey> Промах!</font>'; 

$_SESSION['logi']="$loki"; header('location:def.php');exit;}






$lolvamp = mt_rand(1,100);
$lolpet = mt_rand(1,100);

$hill = $user['strength'] * $user['vampir'] / 100; $hill = ceil($hill);



$hill = ($lolvamp<=20) ? $hill : 0;








$last_pet = ($lolpet<=25) ? $pet['str'] : 0;




$conf=$hill+$last_pet;



$conf=$conf+$user['health']; 


$itog = ($conf>=$user['max_health']) ? $user['max_health'] : $conf; 













$ma = ($lolvamp<=20) ? ' ,похитив '.$hill.' здоровья' : '';



if($user['health']<$user['max_health'] and $lolpet<=25 || $lolvamp<=20){






$dbc->query('UPDATE `users` SET `health` = "' .$itog. '" WHERE `id` = "' . $user[id] . '"'); }


$rix = 50+$prot;
$vi ='';
$re = $weapon;
$re = $re - $rix;

$weapon = ($re>0) ? $re : 1;

$wep = $weapon;
if($lolpet<=25 and $pet['spec']==1){

$vi = '</br><font color=green>Ваш питомец '.$pet[name].' зацепил '.$name.'  на  '.$pet['str'].'</font>'; $weapon = $weapon+$pet['str']; }







if ($weapon >= $banda['health']) {



$dbc->query("UPDATE `clan` SET `sob` = `sob`+ '" .$weapon. "'  WHERE `id` = '".$user['clan']."'");





Oput($weapon);
$_SESSION['logi']='Вы убили '.$name.'';
dead_bos(); }

else{
$dbc->query("UPDATE `oboroten` SET `health`=`health`-".$weapon." WHERE `id`=1");


$dbc->query("UPDATE `clan` SET `sob` = `sob`+ '" .$weapon. "'  WHERE `id` = '".$user['clan']."'");

$dbc->query('UPDATE `users` SET `udar` = "' .(time() + 2) . '" WHERE `id` = "' . $user[id] . '"');

$maxty = ($sokru==1) ? 'Сокрушил' : Ударил;


$suk = '<font color=green> Ты '.$maxty.' '.$name.' на  '.$wep.' '.$messi.'</font>'.$ma.''; }






If($user['s_pet']==1 and $user['health']<$user['max_health'] and $lolpet<=25){



If($pet['spec']==2){ 



$vi = '</br><font color=lime> '.$pet['name'].' Исцелил тебя на  '.$last_pet.'</font>'; 











}}

Oput($weapon);


$mob_udar = mt_rand(1,2);


$tf = 100; 
$tf = $tf+$sila;


$tf = $tf - $user['defense'];
$mob_uron = ($tf>0) ? $tf : mt_rand(100,3500);





if($mob_udar == 2){
$wow = array('ударил','укусил','ранил');
shuffle($wow);
$tanki = '</br><font color=red> '.$name.' '.$wow[0].' тебя на  '.$mob_uron.'</font>'; 




if($mob_uron>0){
                if ($mob_uron > $user['health']) {

$dbc->query("UPDATE `users` SET `health`='100' WHERE `id`='".$user['id']."'");

header ('location:death.php');exit();
}else{ $dbc->query("UPDATE `users` SET `health`=`health`-".$mob_uron." WHERE `id`='".$user['id']."'");}
}

}

$suk.=$tanki;
$suk.=$vi;
$_SESSION['logi']="$suk";





header('location:def.php');exit();}





//////Душа Тени


    if(isset($_GET['dusha'])){
                if($user['am1_time'] > time()) {  header('location:def.php');exit;}else{




$basik = 0;
$inf ='';

if($user['pers']==1 and $user['amulet1']>4){ 



$basik = $user['defense'] * 30 / 100;
$basik = ceil($basik);

 $ins ='<span class=iLegendary>дополнительно + '.$basik.' силы , Эффект: Ярость Воина</span>'; }




$astor = $plazma * $user['ten'] / 100;


$astor = ceil($astor);
$sin = $astor;
$astor = $astor+$basik;



$dbc->query('UPDATE `users` SET `am1_time` = "' .(time() + 60) . '",`dobav`=`dobav`+"'.$astor.'" WHERE `id` = "' . $user[id] . '"');

$maw = '<font color=green> Ты активировал Душа Теней (Сила +'.$sin.') '.$ins.'</font>'; 



$_SESSION['logi']="$maw"; header('location:def.php');exit;}}













////// Плазма

    if(isset($_GET['plazm'])){
                if($user['am2_time'] > time()) { header('location:def.php');exit;}else{




$dbc->query('UPDATE `users` SET `am2_time` = "' . (time() + 60) . '" WHERE `id` = "' . $user['id'] . '"');
$astor = $plazma * $user['plazm'] / 100;


$astor = ceil($astor);
$astor = $astor+$plazma;
if($crit==1){$tali= $astor * 50 / 100; $tali = ceil($tali); $astor = $astor+$tali;$mess =' <font color=red>(крит)</font>';}

$in ='';
$sh = mt_rand(1,3);
if($user['pers']==2 and $user['amulet2']>4 and $sh==2){ 
$astor = $astor*2;
$in =' <span class=iLegendary>Сила удвоена, Эффект: Гнев Мага</span>';}

if ($astor >= $banda['health']) {

$dbc->query("UPDATE `clan` SET `sob` = `sob`+ '" .$astor. "'  WHERE `id` = '".$user['clan']."'");

 $_SESSION['logi']='<font color=blueviolet>Лучи плазмы сожгли '.$name.'

 '.$in.'</font>';        dead_bos();






Oput($astor);

}else{


Oput($astor);
$dbc->query("UPDATE `oboroten` SET `health`=`health`-".$astor." WHERE `id`=1");



$dbc->query("UPDATE `clan` SET `sob` = `sob`+ '" .$astor. "'  WHERE `id` = '".$user['clan']."'");

$maw = '<font color=blueviolet> Лучи плазмы пронзили '.$name.'  раня на '.$astor.' '.$mess.' '.$in.'</font>';   $_SESSION['logi']="$maw"; header('location:?');exit;}}}









    


?><div class="panel-inner"> <img src="/img/ivent/warvalcir.png" width="100%" height="180" ><img src="/img/at/val.png" width="32" height="32" alt="."/><span class="major"><?=$name?><img src="img/stat/hp.png"><strong><?=$banda['health']?></strong></span><br/></div><?





?><div class="combat-line"><a href="?jump" class="btn-aqua btn-potion"><img class="link-icon" src="/img/log/2.png" alt="" width="12" height="12"><span>Атаковать</span></a></div><?






If($am2_time <= 0){ ?><div class="combat-line"><a href="?plazm" class="btn-red"><img class="link-icon" src="/img/log/3.png" alt="" width="12" height="12"><span>Сияние Плазмы</span></a></div><?}else{?><div class="combat-line"><a href="?plazm" class="btn-red inactive inactive25"><img class="link-icon"src="/img/log/3.png" alt="" width="12" height="12"><span>Сияние Плазмы</span>&nbsp;<span class="locked-time"><?=Sec2Time($am2_time)?></span></a></div><?}







If($am1_time <= 0){?><div class="combat-line"><a href="?dusha" class="btn-red"><img class="link-icon" src="/img/log/4.png" alt="" width="12" height="12"><span>Душа Тени </span></a></div><?}else{?><div class="combat-line"><a href="?dusha" class="btn-red inactive inactive25"><img class="link-icon" src="/img/log/4.png" alt="" width="12" height="12"><span>Душа Тени</ span>&nbsp;<span class="locked-time"><?=Sec2Time($am1_time)?></span></a></div><?}  If($apteka_time <= 0){?><div class="combat-line"><a href="?el" class="btn-aqua btn-potion"><img class="link-icon" src="/img/log/5.png" alt="" width="12" height="12"><span>Зелье Здоровья(<?=$user['apteka']?>)</span></a></div><? }Else{ ?></div><div class="combat-line"><a href="?el" class="btn-aqua inactive-skill inactive50"><img class="link-icon" src="/img/log/5.png" alt="" width="12" height="12"><span>Зелье Здоровья(<?=$user['apteka']?>)</span>&nbsp;<span class="locked-time"><?=Sec2Time($apteka_time)?></span></a></div><?}





if($user['s_pet']==1){?><div class="info-box"><font color=orange>Помощник</font>: <font color=grey><?=$pet['name']?></br></div><?}

if (isset($_SESSION['logi'])){?>

<div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><?=$_SESSION[logi]?></div></div><?   $_SESSION['logi']=NULL; }








    











?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><center><span class="iLegendary">Претенденты на захват  </span></center><?




$gogom = $dbc->query("SELECT * FROM `clan` WHERE `sob`>0 ORDER BY `sob` DESC LIMIT 3");

$i =0;
while($namf=$gogom->fetch_assoc()){


?><a class="link-panel no-arr" href="/clan.php?clan=<?=$namf['id']?>"> <?=++$i?>.<img src="img/clan_s/<?=$namf['storona']?>.png" width="14" height="14" alt="*"><?=$namf['name']?> (<?=$namf['sob']?>)</a><?}





?></div></div><? 

























foot();
?>
